{
  "openapi": "3.0.1",
  "info": {
    "title": "Apollo People Leads Scraper",
    "description": "This API can scrape structured people data from Apollo.io. This scraper do NOT provide email addresses or telephone numbers. It does not require Apollo account cookies or authentication.",
    "version": "1.0",
    "x-build-id": "WTACgnpYGM8Y1dtof"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/coladeu~apollo-people-leads-scraper/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-coladeu-apollo-people-leads-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/coladeu~apollo-people-leads-scraper/runs": {
      "post": {
        "operationId": "runs-sync-coladeu-apollo-people-leads-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/coladeu~apollo-people-leads-scraper/run-sync": {
      "post": {
        "operationId": "run-sync-coladeu-apollo-people-leads-scraper",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "required": [
          "number_of_pages_to_scrape"
        ],
        "properties": {
          "apollo_url": {
            "title": "Apollo URL (Optional)",
            "type": "string",
            "description": "Full Apollo URL with filters. E.g. https://app.apollo.io/#/people?page=1. When provided, overrides all other filter parameters."
          },
          "q_keywords": {
            "title": "Person Name",
            "type": "string",
            "description": "A string of words over which we want to filter the results. Usually a person's First Name and Last Name."
          },
          "page": {
            "title": "Page",
            "minimum": 1,
            "type": "integer",
            "description": "Starting page number for scraping. If apollo_url is provided and this field is not set, the page number will be automatically extracted from the apollo_url query parameters. If both are provided, this explicit Page value will override the page number from apollo_url. Defaults to 1 if neither is provided.",
            "default": 1
          },
          "number_of_pages_to_scrape": {
            "title": "Number of Pages to Scrape",
            "minimum": 1,
            "maximum": 100,
            "type": "integer",
            "description": "Number of pages to scrape sequentially. The scraper will start from the determined starting page (from Page field or extracted from apollo_url), then increment the page number by 1 for each subsequent request. Between each page request, there will be a random delay of 10-15 seconds. Scraping will stop when: (1) the specified number of pages have been scraped, (2) page 100 is reached (maximum limit), (3) current page exceeds total_pages from API, or (4) a page returns no people. All people from all scraped pages will be collected and saved together.",
            "default": 1
          },
          "contact_email_status_v2": {
            "title": "Email Status",
            "type": "array",
            "description": "Select one or more email statuses.",
            "items": {
              "type": "string",
              "enum": [
                "verified",
                "unverified",
                "user_managed",
                "new_data_available",
                "unavailable"
              ]
            }
          },
          "person_titles": {
            "title": "Person Titles",
            "type": "array",
            "description": "Enter one or more job titles held by the people you want to find. For a person to be included in search results, they only need to match 1 of the job titles you enter. Examples: software engineer, manager, director, sales manager, project manager, ceo, consultant.",
            "items": {
              "type": "string"
            }
          },
          "person_not_titles": {
            "title": "Exclude Person Titles",
            "type": "array",
            "description": "Enter one or more job titles to exclude from search results. Examples: intern, student, assistant, associate.",
            "items": {
              "type": "string"
            }
          },
          "person_past_titles": {
            "title": "Past Person Titles",
            "type": "array",
            "description": "Enter one or more past job titles. Examples: developer, analyst, coordinator, specialist.",
            "items": {
              "type": "string"
            }
          },
          "person_not_past_titles": {
            "title": "Exclude Past Person Titles",
            "type": "array",
            "description": "Enter one or more past job titles to exclude. Examples: freelancer, contractor, consultant.",
            "items": {
              "type": "string"
            }
          },
          "include_similar_titles": {
            "title": "Include Similar Titles",
            "type": "boolean",
            "description": "Whether to include people with job titles similar to the titles you define in person_titles.",
            "default": false
          },
          "person_seniorities": {
            "title": "Management Level",
            "type": "array",
            "description": "Select one or more seniority levels.",
            "items": {
              "type": "string",
              "enum": [
                "owner",
                "founder",
                "c_suite",
                "partner",
                "vp",
                "head",
                "director",
                "manager",
                "senior",
                "entry",
                "intern"
              ]
            }
          },
          "person_department_or_subdepartments": {
            "title": "Department",
            "type": "array",
            "description": "Select one or more departments or subdepartments.",
            "items": {
              "type": "string",
              "enum": [
                "finance_executive",
                "founder",
                "human_resources_executive",
                "information_technology_executive",
                "legal_executive",
                "marketing_executive",
                "medical_health_executive",
                "operations_executive",
                "sales_executive",
                "product_management",
                "master_engineering_technical",
                "design",
                "education",
                "master_finance",
                "master_human_resources",
                "master_information_technology",
                "master_legal",
                "master_marketing",
                "medical_health",
                "master_operations",
                "master_sales",
                "consulting"
              ]
            }
          },
          "person_locations": {
            "title": "Person Locations",
            "type": "array",
            "description": "Enter locations where people live. You can specify country name, country/state, country/city, or just state or city name. Choose between this input and person_postal_codes. Examples: United States, United States/New York, California, Chicago.",
            "items": {
              "type": "string"
            }
          },
          "person_not_locations": {
            "title": "Exclude Person Locations",
            "type": "array",
            "description": "Enter locations to exclude from search results. You can specify country name, country/state, country/city, or just state or city name. Examples: Canada, United Kingdom/London, Texas.",
            "items": {
              "type": "string"
            }
          },
          "person_postal_codes": {
            "title": "Person Postal Codes",
            "type": "array",
            "description": "Enter postal codes. Works in combination with person_postal_codes_radius. Examples: 784832, 389232, 10001.",
            "items": {
              "type": "string"
            }
          },
          "person_postal_codes_radius": {
            "title": "Postal Codes Radius (Miles)",
            "enum": [
              "25",
              "50",
              "100",
              "300"
            ],
            "type": "string",
            "description": "Select radius in miles for postal code filtering. Must be used with person_postal_codes."
          },
          "organization_locations": {
            "title": "Organization Locations",
            "type": "array",
            "description": "Enter locations for the headquarters of people's current employers. You can specify country name, country/state, country/city, or just state or city name. Examples: United States, United States/California, San Francisco, Germany/Berlin.",
            "items": {
              "type": "string"
            }
          },
          "organization_num_employees_ranges": {
            "title": "Employee Ranges",
            "type": "array",
            "description": "Select one or more employee count ranges for the person's current company. 10001 represents 10,000+ employees.",
            "items": {
              "type": "string",
              "enum": [
                "1-10",
                "1-20",
                "21-50",
                "51-100",
                "101-200",
                "201-500",
                "501-1000",
                "1001-2000",
                "2001-5000",
                "5001-10000",
                "10001"
              ]
            }
          },
          "organization_ids": {
            "title": "Organization IDs",
            "type": "array",
            "description": "Enter Apollo IDs for the companies (employers) you want to include in your search results. Examples: 5e66b6381e05b4008c8331b8, 5f1234567890abcd12345678.",
            "items": {
              "type": "string"
            }
          },
          "not_organization_ids": {
            "title": "Exclude Organization IDs",
            "type": "array",
            "description": "Enter Apollo IDs for companies (employers) you want to exclude from search results.",
            "items": {
              "type": "string"
            }
          },
          "person_past_organization_ids": {
            "title": "Past Organization IDs",
            "type": "array",
            "description": "Enter Apollo IDs for previous employers.",
            "items": {
              "type": "string"
            }
          },
          "person_not_past_organization_ids": {
            "title": "Exclude Past Organization IDs",
            "type": "array",
            "description": "Enter Apollo IDs for previous employers to exclude.",
            "items": {
              "type": "string"
            }
          },
          "q_organization_keyword_tags": {
            "title": "Company Keywords",
            "type": "array",
            "description": "Enter company keywords to filter results. Examples: saas, e-commerce, fintech, healthcare, artificial intelligence, b2b, enterprise software, marketing automation, cybersecurity, cloud computing.",
            "items": {
              "type": "string"
            }
          },
          "q_not_organization_keyword_tags": {
            "title": "Exclude Company Keywords",
            "type": "array",
            "description": "Enter company keywords to exclude from results. Examples: non-profit, retail, consulting, recruiting, education, real estate.",
            "items": {
              "type": "string"
            }
          },
          "revenue_range_min": {
            "title": "Revenue Range (Min)",
            "type": "number",
            "description": "Minimum revenue the person's current employer generates."
          },
          "revenue_range_max": {
            "title": "Revenue Range (Max)",
            "type": "number",
            "description": "Maximum revenue the person's current employer generates."
          },
          "currently_using_all_of_technology_uids": {
            "title": "Technologies (All Of)",
            "type": "array",
            "description": "Enter technology UIDs that the person's current employer uses ALL of. Use underscores (_) to replace spaces and periods. Examples: salesforce, google_analytics, wordpress_org.",
            "items": {
              "type": "string"
            }
          },
          "currently_using_any_of_technology_uids": {
            "title": "Technologies (Any Of)",
            "type": "array",
            "description": "Enter technology UIDs that the person's current employer uses ANY of. Examples: salesforce, google_analytics, wordpress_org.",
            "items": {
              "type": "string"
            }
          },
          "currently_not_using_any_of_technology_uids": {
            "title": "Exclude Technologies",
            "type": "array",
            "description": "Enter technology UIDs to exclude people whose current employer uses. Use underscores (_) to replace spaces and periods. Examples: salesforce, google_analytics, wordpress_org.",
            "items": {
              "type": "string"
            }
          },
          "market_segments": {
            "title": "Market Segments",
            "type": "array",
            "description": "Select one or more market segments.",
            "items": {
              "type": "string",
              "enum": [
                "b2b",
                "b2c",
                "b2b2c",
                "e-commerce",
                "fintech",
                "d2c",
                "non-profit",
                "saas",
                "consulting",
                "services"
              ]
            }
          },
          "q_organization_job_titles": {
            "title": "Organization Job Titles",
            "type": "array",
            "description": "Enter job titles in active job postings at the person's current employer. Examples: sales manager, research analyst, software engineer.",
            "items": {
              "type": "string"
            }
          },
          "organization_job_locations": {
            "title": "Organization Job Locations",
            "type": "array",
            "description": "Enter locations of jobs being actively recruited by the person's employer. Examples: atlanta, japan, new york, california.",
            "items": {
              "type": "string"
            }
          },
          "organization_num_jobs_range_min": {
            "title": "Number of Jobs (Min)",
            "minimum": 0,
            "type": "integer",
            "description": "Minimum number of active job postings at the person's current employer."
          },
          "organization_num_jobs_range_max": {
            "title": "Number of Jobs (Max)",
            "minimum": 0,
            "type": "integer",
            "description": "Maximum number of active job postings at the person's current employer."
          },
          "organization_job_posted_at_range_min": {
            "title": "Job Posted Date (From)",
            "type": "string",
            "description": "Earliest date when jobs were posted by the person's current employer (YYYY-MM-DD)."
          },
          "organization_job_posted_at_range_max": {
            "title": "Job Posted Date (To)",
            "type": "string",
            "description": "Latest date when jobs were posted by the person's current employer (YYYY-MM-DD)."
          },
          "contact_email_opened_at_least": {
            "title": "Email Opened At Least",
            "minimum": 0,
            "type": "integer",
            "description": "Minimum number of times email was opened."
          },
          "contact_email_open": {
            "title": "Email Open Status",
            "enum": [
              "yes",
              "no"
            ],
            "type": "string",
            "description": "Email open status: yes or no"
          },
          "email_last_opened_at_date_range_min": {
            "title": "Email Last Opened (From)",
            "type": "string",
            "description": "Earliest date when email was last opened (YYYY-MM-DD)."
          },
          "email_last_opened_at_date_range_max": {
            "title": "Email Last Opened (To)",
            "type": "string",
            "description": "Latest date when email was last opened (YYYY-MM-DD)."
          },
          "lookalike_person_ids": {
            "title": "Lookalike Person IDs",
            "type": "array",
            "description": "Enter Apollo person IDs to find similar people.",
            "items": {
              "type": "string"
            }
          },
          "lookalike_organization_ids": {
            "title": "Lookalike Organization IDs",
            "type": "array",
            "description": "Enter Apollo organization IDs to find people from similar organizations.",
            "items": {
              "type": "string"
            }
          },
          "person_education_school_ids": {
            "title": "Education School IDs",
            "type": "array",
            "description": "Enter school IDs for people's education.",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}